## ibm-3270 3.3.7p7-1-maemo1

=== debian/changelog ===
ibm-3270 (3.3.7p7-1-maemo1) unstable; urgency=low
  * Adjust for maemo

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 21 Sep 2010 14:21:00 +0200

ibm-3270 (3.3.7p7-1) unstable; urgency=low

  * New upstream version.
  * Really fix build dependency. (closes: #489339)
  * Install documentation.
  * Fix menu entries.
  * Fix permission of icu converters.

 -- Bastian Blank <waldi@debian.org>  Sat, 05 Jul 2008 12:21:25 +0200

ibm-3270 (3.3.7p5-2) unstable; urgency=low

  * Build depend against xutils-dev.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Jul 2008 16:58:53 +0200

ibm-3270 (3.3.7p5-1) unstable; urgency=low

  * New upstream version.
  * Mark package as autobuildable.
  * Make files in orig tar executable again.
    - Fix app-defaults generation. (closes: #480788)
  * Fix font installation. (closes: #362404)

 -- Bastian Blank <waldi@debian.org>  Tue, 20 May 2008 08:15:32 +0200

ibm-3270 (3.3.7p2-1) unstable; urgency=low

  * New upstream version.
  * Again move to non-free. (closes: #388691)
  * Update Standards-Version to 3.7.3. No changes.

 -- Bastian Blank <waldi@debian.org>  Sat, 15 Mar 2008 15:54:47 +0100

ibm-3270 (3.3.4p6-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Put xfonts-x3270-misc's fonts in /usr/share/fonts/X11/misc/, not
    /usr/share/fonts/X11/fonts/misc/ (References: #362404).
  * Fix path to x3270.1x

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat,  3 Jun 2006 19:18:41 +0200

ibm-3270 (3.3.4p6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change X11 paths in:
      + configure
      + debian/rules
      + debian/xfonts-x3270-misc.install
      + debian/xfonts-x3270-misc.postrm
      + debian/xfonts-x3270-misc.postinst
  * Add Build-Depends on xbitmap (Closes: #367830)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 31 May 2006 12:23:59 +0200

ibm-3270 (3.3.4p6-3) unstable; urgency=low

  * Use libxaw7.

 -- Bastian Blank <waldi@debian.org>  Mon, 27 Mar 2006 19:37:02 +0200

ibm-3270 (3.3.4p6-2) unstable; urgency=low

  * Fix build dependencies. (closes: #353708)

 -- Bastian Blank <waldi@debian.org>  Tue, 21 Feb 2006 09:14:35 +0100

ibm-3270 (3.3.4p6-1) unstable; urgency=low

  * Reintroduce into main.
  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Mon, 13 Feb 2006 10:47:59 +0100

3270 (3.2.17-2) unstable; urgency=high

  * urgency=high because of missing build dependancies, I'd like to
    get this run through - 3.1.1.9 is *so* old.

  * Upstream patches
    - Crash in Keymap Display
    - pr3287 Just Prints Blanks
    - NULLs Selected Incorrectly
    - Missing Definitions for Ctrl-U and Ctrl-W
  * Policy Standards-Version 3.5.6.0 compliant
  * Build depends on libncurses5-dev (for c3270)            closes: #113659
  * Correct docbase                                         closes: #122811
  * Close some ancient, no longer applicable bugs
    - x3270-htmldoc /usr/doc usage                          closes: #91690

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 12 Dec 2001 15:00:00 -0500

3270 (3.2.17-1) unstable; urgency=high

  * New upstream version
  * Correct minor upstream flaws (and then use upstream patches)
  * Redo packaging
  * include whole enchilada {x,c,s,tcl}3270, and pr3287
  * split into a plethora of components:
    {x,c,s,tcl}3270, pr3287, xfonts-x3270-misc, 3270-common
  * html docs *not yet done*
  * Bug cleanup
    closes: #22468, #37855, #38425, #91694

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 28 Jun 2001 15:00:00 -0500

x3270 (3.2.15-0) private; urgency=low

  * New maintainer
  * New upstream version
  * Convert to debhelper V2 & DBS

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 26 Dec 2000 20:00:00 -0500

x3270 (3.1.1.9-3) unstable; urgency=low

  * Reverted macro.c to version from 3.1.1.7 so that String() action works 
    in login actions again.  (Bug #37855)

 -- Carey W. Evans <carey@debian.org>  Wed, 19 May 1999 21:10:04 +1200

x3270 (3.1.1.9-2) unstable; urgency=low

  * Added fix for bug in x3270-htmldoc 3.1.1.7-8's doc-base support.
  * Removed x3270-htmldoc menu, since doc-base handles dwww.

 -- Carey W. Evans <carey@debian.org>  Mon, 17 May 1999 21:41:15 +1200

x3270 (3.1.1.9-1) unstable; urgency=low

  * New upstream version.
  * Updated 5250 key mapping with my keymap from the previous version.
  * Changed to debhelper.

 -- Carey W. Evans <carey@debian.org>  Thu, 13 May 1999 22:40:18 +1200

x3270 (3.1.1.7-8) unstable; urgency=low

  * Add doc-base support.
  * Moved Attn key option to immediately follow other toggles.
  * Put correct path to ibm_hosts file in ibm_hosts.5 man page.
  * Updated COPYRIGHTS section of the man page, and text in `copyright'
    file.

 -- Carey W. Evans <carey@debian.org>  Thu, 28 Jan 1999 22:59:32 +1300

x3270 (3.1.1.7-7) unstable; urgency=low

  * Added option to change Attn key to send Interrupt() action from
    3.1.1.7-5, and documented it.
  * Updated menu descriptions with new description added to debian/control
    in 3.1.1.7-5, and removed icon="none" entries.

 -- Carey W. Evans <carey@debian.org>  Sat, 29 Aug 1998 16:19:13 +1200

x3270 (3.1.1.7-6) unstable; urgency=low

  * Don't define sys_errlist at all on Linux, so libc5 compilation should
    still work.
  * Added README.debian about the changes I've made.
  * Added Beat Rubischon to copyrights in "About x3270" dialog.

 -- Carey W. Evans <carey@debian.org>  Wed, 12 Aug 1998 21:23:05 +1200

x3270 (3.1.1.7-5) unstable; urgency=low

  * Added postrm to x3270-htmldoc to call update-menus.  (lintian)
  * Changed x3270-htmldoc index.html -> README.html link to
    index.html.gz -> README.html.gz.
  * Added Interrupt() action to send IAC IP, for real System Request on
    AS/400.
  * Added extra bindings to the 5250 keymap in X3270.xad.
  * Changed to not install app-defaults/X3270, since it's compiled into
    the program.  The provided file is installed with the examples.
  * Updated package description to mention the AS/400.


